Subject: Re: bug#35531: problem with ls in coreutils

From: Kamil Dudka <[email-masked]>
Date: Fri, 03 May 2019 18:24:09 +0200

On Friday, May 3, 2019 5:56:35 PM CEST Viktors Berstis wrote:
> I don't think the problem has anything to do with sorting or -U1.

It was unclear what you meant by "the problem" so I pointed out the only 
inefficiency that was immediately obvious to me.

>     When ls is taking over 5 minutes for something that should run in a
>     couple of seconds, the task manager shows that it is using nearly no
>     CPU.... it is doing a lot of  "other I/O".

You can try to use some profiling/tracing tools to debug the root cause.

> It doesn't look like the build you referenced is designed to be
>     compileable for Windows.  Is there one that is?  Thanks.

I would suggest to build the latest upstream release (coreutils-8.31 now) 
from:

https://www.gnu.org/software/coreutils/

Kamil